Android 14 может блокировать установку устаревших приложений

→ Оригинал (без защиты от корпорастов) | Изображения из статьи: [1] [2]

Чтобы уменьшить вероятность распространения вредоносных программ, Android 14 начнет блокировать установку приложений, предназначенных для устаревших версий Android, сообщает портал 9to5google. Буквально в этом месяце правила работы для разработчиков приложений были обновлены: появилось требование, чтобы недавно добавленные в магазин Play Store приложения были ориентированы как минимум на Android 12. До этого момента минимальные требования к уровню API применялись только к приложениям, предназначенным для магазина Google Play. Если разработчик хочет создать приложение для более старой версии, он может сделать это, просто попросив своих пользователей загрузить APK-файл вручную.

Согласно недавно опубликованному изменению кода , Android 14 ужесточает требования к API, полностью блокируя установку устаревших приложений. Это изменение заблокирует загрузку определенных APK-файлов пользователями, а также запретит магазинам приложений устанавливать те же самые приложения. Первоначально устройства Android 14 будут блокировать приложения, предназначенные для особенно старых версий Android. Однако со временем планируется повысить порог до Android 6.0 (Marshmallow), при этом у Google есть механизм для «постепенного наращивания», отмечают авторы портала.